using System;
namespace MP3Cleaner 
{
	public class MP3File 
	{
		private string fileName;
		private string artistName;
		private string albumName;
		private int trackNumber;
		private string songTitle; 
		private int fileSize;
		private int bitRate;

		public int FileSize
		{
			get{return this.fileSize;}
			set{this.fileSize = value;}
		}
		
		public string FileName 
		{
		 	get{return this.fileName;}
			set{this.fileName = value;}
		}


		public string ArtistName 
		{
			get{return this.artistName;}
			set{this.artistName = value;}
		}


		public string AlbumName 
		{
			get{return this.albumName;}
			set{this.albumName = value;}
		}


		public int TrackNumber 
		{
		 	get{return this.trackNumber;}
			set{this.trackNumber = value;}
		}


		public string SongTitle 
		{
		 	get{return this.songTitle;}
			set{this.songTitle = value;}
		}

		public int BitRate
		{
			get{return this.bitRate;}
			set{this.bitRate = value;}
		}

		override public string ToString()
		{
			String ret;
			ret = "Name:		"+ fileName;
			ret += "\r\nArtist:		"+ artistName;
			ret += "\r\nAlbum:		"+ albumName;
			ret += "\r\nFilesize:	"+ fileSize;
			ret += "\r\nSong Title:	"+ songTitle;
			ret += "\r\nTrack #:		"+ trackNumber;
			ret += "\r\nBit Rate #:		"+ bitRate;
			return ret;
		}


		public MP3File()
		{
		}
	}
}