using System;
namespace MP3Cleaner
{
	public struct ShellID3TagReader
	{
		public static MP3File ReadID3Tags(string FileFullPath)
		{
			MP3File mp3File = new MP3File();

			//parse file name
			string fileName = FileFullPath.Substring(FileFullPath.LastIndexOf("\\")+1);
			//parse file path
			string filePath = FileFullPath.Substring(0,FileFullPath.LastIndexOf("\\"));
			//create shell instance
			Shell32.Shell shell  = new Shell32.ShellClass();
			//set the namespace to file path
			Shell32.Folder folder = shell.NameSpace(filePath);
			//get ahandle to the file
			Shell32.FolderItem folderItem = folder.ParseName(fileName);
			//did we get a handle ?
			if (folderItem !=null)
			{
				
				//query information from shell regarding file
				/*String temp = folder.GetDetailsOf(folderItem,1); //size
				temp = folder.GetDetailsOf(folderItem,2); //mp3 formate sound
				temp = folder.GetDetailsOf(folderItem,3);
				temp = folder.GetDetailsOf(folderItem,4);
				temp = folder.GetDetailsOf(folderItem,5);
				temp = folder.GetDetailsOf(folderItem,6); //attributes
				temp = folder.GetDetailsOf(folderItem,7);
				temp = folder.GetDetailsOf(folderItem,8);
				temp = folder.GetDetailsOf(folderItem,9);
				temp = folder.GetDetailsOf(folderItem,10);
				temp = folder.GetDetailsOf(folderItem,11);
				temp = folder.GetDetailsOf(folderItem,12);
				temp = folder.GetDetailsOf(folderItem,13);
				temp = folder.GetDetailsOf(folderItem,14);
				temp = folder.GetDetailsOf(folderItem,15);
				temp = folder.GetDetailsOf(folderItem,16);
				temp = folder.GetDetailsOf(folderItem,17);
				temp = folder.GetDetailsOf(folderItem,18);
				temp = folder.GetDetailsOf(folderItem,19);
				temp = folder.GetDetailsOf(folderItem,20);
				temp = folder.GetDetailsOf(folderItem,21); //duration
				temp = folder.GetDetailsOf(folderItem,22); //bitrate
				temp = folder.GetDetailsOf(folderItem,23);
				temp = folder.GetDetailsOf(folderItem,24);
				temp = folder.GetDetailsOf(folderItem,25);
				temp = folder.GetDetailsOf(folderItem,26);
				temp = folder.GetDetailsOf(folderItem,27);*/

				mp3File.FileName = fileName;
				mp3File.ArtistName = folder.GetDetailsOf(folderItem,9);
				mp3File.AlbumName = folder.GetDetailsOf(folderItem,17);
				mp3File.SongTitle = folder.GetDetailsOf(folderItem,10);

				if( "" != folder.GetDetailsOf(folderItem,22))
				{
					String temp = folder.GetDetailsOf(folderItem,22);
					if( temp.EndsWith("kbps" ))
						mp3File.BitRate = Int32.Parse(temp.Substring(0,temp.Length-4));
					else
						mp3File.BitRate = Int32.Parse(temp);
				}
				else
					mp3File.BitRate = 0;
				if( "" != folder.GetDetailsOf(folderItem,19))
					mp3File.TrackNumber = Int32.Parse(folder.GetDetailsOf(folderItem,19));
				else
					mp3File.TrackNumber = 0;
					
				mp3File.FileSize = folderItem.Size;
			}
			//clean ip
			folderItem = null;
			folder = null;
			shell = null;
			//return mp3File instance
			return mp3File;
		}
	}
}
